Bug 2527 - Support FLAC out of the box
: Support FLAC out of the box
Status: RESOLVED FIXED
Product: Multimedia
Multimedia framework
: 5.0-beta
: All Linux
: Medium enhancement with 26 votes (vote)
: Harmattan
Assigned To: unassigned
: media-player-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-12 02:16 UTC by Jeremy
Modified: 2010-01-13 14:29 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Jeremy (reporter) 2007-12-12 02:16:35 UTC
I store all my music in FLAC format because I find unbearable the fake stereo
used in MP3 formats. My N800 has two 4GB cards so carrying music in FLAC format
is easy but it is not supported by the Media Player. I installed Mplayer to
mitigate this problem but all the mplayer GUIs seem to automatically only find
movies and so need to be forced to load each flac track individually !
Comment 1 Ryan Abel maemo.org 2007-12-12 05:35:22 UTC
Use something like UKMP, Kagu, or Canola for a front-end to mplayer with music
support.
Comment 2 Jeremy (reporter) 2007-12-12 14:48:00 UTC
(In reply to comment #1)
> Use something like UKMP, Kagu, or Canola for a front-end to mplayer with music
> support.
> 

Thanks but I just went through and loaded the latest versions on UKMP, Kagu and
Canola and not one found a single mp2 or flac file except for the free one that
came with my N800. They did find all my movies on the same SD cards and UKMP
did a great job of thumbnailing the videos even though they could not be played
(too high bitrate). I could not find any way to change the media players' idea
of what is an "interesting" file nor any way to force the loading of any
directory/file. Something basic that plays a directory sequentially would be
excellent - none of the fancy ones work.

Thanks,
   Jeremy
Comment 3 Andre Klapper maemo.org 2008-06-17 19:08:05 UTC
(Removing the "Next" Target Milestone as it was set by the reporter and may
lead to wrong assumptions and expectations.)
Comment 4 Andre Klapper maemo.org 2008-11-06 22:07:49 UTC
libflac8 is available as a 3rd party library for the platform - e.g. Canola
uses it.
Comment 5 Quim Gil nokia 2009-02-25 17:29:24 UTC
Just a note to say that supporting this format officially is considered as a
possibility. Still remote, but a possibility.

A community backed FLAC support can be probably provided right now, just like
there is a OGG Vorbis community support.
Comment 6 Quim Gil nokia 2009-09-14 09:13:10 UTC
No FLAC officially supported in Maemo 5, but there is still a possibility to
have it in Harmattan.

The community initiative is welcome in Maemo 5. The whole framework is made
with free software, so there should not be major problems for someone with the
will and the skills to succeed.
Comment 7 Quim Gil nokia 2009-09-28 10:17:15 UTC
fyi there are many FLAC related packages in maemo.org extras-devel.
http://maemo.org/packages/search/?org_maemo_packages_search[1][property]=name&org_maemo_packages_search[1][constraint]=LIKE&org_maemo_packages_search[1][value]=flac

If you want to help these packages making it to Extras, that link is a good
place to start.
Comment 8 Andre Klapper maemo.org 2009-09-28 12:18:48 UTC
I'd personally push the "ogg-support" package to Extras which covers ogg, flac
and theora.
Comment 9 Quim Gil nokia 2009-12-07 08:32:58 UTC
http://maemo.org/downloads/product/Maemo5/ogg-support/ offers FLAC support.

Changing summary adding "out of the box"
Comment 10 Quim Gil nokia 2009-12-09 06:35:31 UTC
Considered for Harmattan.
Comment 11 Quim Gil nokia 2010-01-13 14:29:37 UTC
The Harmattan plans include FLAC support and you can follow the progress at
http://maemo.gitorious.org/maemo-multimedia

Resolving as FIXED